export default Object.freeze({
    scalability: 'Kubernetes has the ability to autoscale, which Docker Swarm lacks. It can automatically create or remove Pods as demand changes. The cost of that is potential impact to a cluster’s operating efficiency, which does not happen in the other orchestrator.',
    installation: 'In order to create a Kubernetes cluster, manual configuration and extensive manual installation is required. For this project, Minikube was used to simplify deploying a K8s cluster. Minikube creates a local virtual machine and installs a simple cluster consisting of one node. To manage the cluster and K8s objects, a CLI needs to be installed - kubectl. Kubernetes relies on yaml definitions for cluster objects, which makes it different from standard Docker alternatives.',
    availability: 'Kubernetes distributes Pods among nodes which assures failure tolerance and high availability. Load balancing services identify unhealthy Pods and substitute them with new ones.',
    loadBalancing: 'With Kubernetes, there is no automatic load balancing. However, one of Pods can be implemented as a cluster load balancer. It uses Nginx Ingress for this purpose.',
    networking: 'In Kubernetes all Pods communicate with each other via a flat, peer-to-peer net-work. This model requires two Classless Inter-Domain Routers (CIDRs) - one for assigning IP addresses to Pods, the other for communication between services.',
    updates: 'Kubernetes performs rolling updates to Pods. It has an advantage of automatic Rollbacks. The master node in the cluster monitors updates and deployments, and in case of a failure, it can automatically roll back to the previous version of the application.',
})